distinct_all {dplyr} | R Documentation

## Select distinct rows by a selection of variables

### Description

These scoped variants of `distinct()` extract distinct rows by a selection of variables. Like `distinct()`, you can modify the variables before ordering with the `.funs` argument.

### Usage

    distinct_all(.tbl, .funs = list(), ...)

    distinct_at(.tbl, .vars, .funs = list(), ...)

    distinct_if(.tbl, .predicate, .funs = list(), ...)

### Arguments

`.tbl` | A `tbl` object.
`.funs` | A function `fun`, a quosure style lambda `~ fun(.)` or a list of either form.
`...` | Additional arguments for the function calls in `.funs`. These are evaluated only once, with tidy dots support.
`.vars` | A list of columns generated by `vars()`, a character vector of column names, a numeric vector of column positions, or `NULL`.
`.predicate` | A predicate function to be applied to the columns or a logical vector. The variables for which `.predicate` is or returns `TRUE` are selected. This argument is passed to `rlang::as_function()` and thus supports quosure-style lambda functions and strings representing function names.

### Grouping variables

The grouping variables that are part of the selection are taken into account to determine distinct rows.

### Examples

    df <- tibble(x = rep(2:5, each = 2) / 2, y = rep(2:3, each = 4) / 2)
    df
    distinct_all(df)
    distinct_at(df, vars(x,y))
    distinct_if(df, is.numeric)

    # You can supply a function that will be applied before extracting the distinct values
    # The variables of the sorted tibble keep their original values.
    distinct_all(df, round)
    arrange_all(df, list(~round(.)))

[Package dplyr version 0.8.0.1 Index]